<?php

require_once "conexion.php";

class ModeloAlmacen{

	/*=============================================
	MOSTRAR PRODUCTOS DEL ALMACEN 1
	=============================================*/

	static public function mdlMostrarInventario($tabla, $item, $valor){

		if($item != null){

			$stmt = Conexion::conectar()->prepare("SELECT * FROM $tabla WHERE $item = :$item ORDER BY id ASC");

			$stmt -> bindParam(":".$item, $valor, PDO::PARAM_STR);

			$stmt -> execute();

			return $stmt -> fetch();

		}else{
			

			$stmt = Conexion::conectar()->prepare("SELECT * FROM $tabla ORDER BY id ASC ");

			$stmt -> execute();

			return $stmt -> fetchAll();

		}
		
		$stmt -> close();

		$stmt = null;

	}

	static public function mdlIngresarPrecision($tabla, $datos){

		$stmt = Conexion::conectar();

		$sentencia=$stmt ->prepare("INSERT INTO $tabla( productos, estado) VALUES ( :productos, :estado)");

		$sentencia->bindParam(":productos", $datos["productos"], PDO::PARAM_STR);
		$sentencia->bindParam(":estado", $datos["estado"], PDO::PARAM_STR);

		if($sentencia->execute()){

			return "ok";

		}else{

			return "error";
		
		}

		$sentencia->close();
		$sentencia = null;

	}



}